org.apache.xalan.templates

## Class ElemLiteralResult.LiteralElementAttributes

- java.lang.Object
- - org.apache.xalan.templates.ElemLiteralResult.LiteralElementAttributes

- All Implemented Interfaces:
    org.w3c.dom.NamedNodeMap
  Enclosing class:
    ElemLiteralResult

      public class ElemLiteralResult.LiteralElementAttributes
      extends java.lang.Object
      implements org.w3c.dom.NamedNodeMap

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiteralElementAttributes()` Construct a NameNodeMap.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLength()` Return the number of Attributes on this Element
    `org.w3c.dom.Node` | `getNamedItem(java.lang.String name)` Retrieves a node specified by name.
    `org.w3c.dom.Node` | `getNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)` Retrieves a node specified by local name and namespace URI.
    `org.w3c.dom.Node` | `item(int i)` Returns the `index`th item in the map.
    `org.w3c.dom.Node` | `removeNamedItem(java.lang.String name)`
    `org.w3c.dom.Node` | `removeNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)`
    `org.w3c.dom.Node` | `setNamedItem(org.w3c.dom.Node arg)` Unimplemented.
    `org.w3c.dom.Node` | `setNamedItemNS(org.w3c.dom.Node arg)` Unimplemented.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiteralElementAttributes

          public LiteralElementAttributes()

      Construct a NameNodeMap.

  - ### Method Detail

    - #### getLength

          public int getLength()

      Return the number of Attributes on this Element
      Specified by:
        `getLength` in interface `org.w3c.dom.NamedNodeMap`
      Returns:
        The number of nodes in this map. The range of valid child node indices is `0` to `length-1` inclusive

    - #### getNamedItem

          public org.w3c.dom.Node getNamedItem(java.lang.String name)

      Retrieves a node specified by name.
      Specified by:
        `getNamedItem` in interface `org.w3c.dom.NamedNodeMap`
      Parameters:
        `name` - The `nodeName` of a node to retrieve.
      Returns:
        A `Node` (of any type) with the specified `nodeName`, or `null` if it does not identify any node in this map.

    - #### getNamedItemNS

          public org.w3c.dom.Node getNamedItemNS(java.lang.String namespaceURI,
                                                 java.lang.String localName)

      Retrieves a node specified by local name and namespace URI.
      Specified by:
        `getNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`
      Parameters:
        `namespaceURI` - Namespace URI of attribute node to get
        `localName` - Local part of qualified name of attribute node to get
      Returns:
        A `Node` (of any type) with the specified `nodeName`, or `null` if it does not identify any node in this map.

    - #### item

          public org.w3c.dom.Node item(int i)

      Returns the `index`th item in the map. If `index` is greater than or equal to the number of nodes in this map, this returns `null`.
      Specified by:
        `item` in interface `org.w3c.dom.NamedNodeMap`
      Parameters:
        `i` - The index of the requested item.
      Returns:
        The node at the `index`th position in the map, or `null` if that is not a valid index.

    - #### removeNamedItem

          public org.w3c.dom.Node removeNamedItem(java.lang.String name)
                                           throws org.w3c.dom.DOMException

      Specified by:
        `removeNamedItem` in interface `org.w3c.dom.NamedNodeMap`
      Parameters:
        `name` - of the node to remove
      Returns:
        The node removed from this map if a node with such a name exists.
      Throws:
        `org.w3c.dom.DOMException`
      See Also:
        `NamedNodeMap`

    - #### removeNamedItemNS

          public org.w3c.dom.Node removeNamedItemNS(java.lang.String namespaceURI,
                                                    java.lang.String localName)
                                             throws org.w3c.dom.DOMException

      Specified by:
        `removeNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`
      Parameters:
        `namespaceURI` - Namespace URI of the node to remove
        `localName` - Local part of qualified name of the node to remove
      Returns:
        The node removed from this map if a node with such a local name and namespace URI exists
      Throws:
        `org.w3c.dom.DOMException`
      See Also:
        `NamedNodeMap`

    - #### setNamedItem

          public org.w3c.dom.Node setNamedItem(org.w3c.dom.Node arg)
                                        throws org.w3c.dom.DOMException

      Unimplemented. See org.w3c.dom.NamedNodeMap
      Specified by:
        `setNamedItem` in interface `org.w3c.dom.NamedNodeMap`
      Parameters:
        `A` - node to store in this map
      Returns:
        If the new Node replaces an existing node the replaced Node is returned, otherwise null is returned
      Throws:
        `org.w3c.dom.DOMException`

    - #### setNamedItemNS

          public org.w3c.dom.Node setNamedItemNS(org.w3c.dom.Node arg)
                                          throws org.w3c.dom.DOMException

      Unimplemented. See org.w3c.dom.NamedNodeMap
      Specified by:
        `setNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`
      Parameters:
        `A` - node to store in this map
      Returns:
        If the new Node replaces an existing node the replaced Node is returned, otherwise null is returned
      Throws:
        `org.w3c.dom.DOMException`

Copyright © 2023 Apache XML Project. All Rights Reserved.